Get every keyword a domain ranks for on Google
curl --request GET \
--url https://api.scoutlayer.io/v1/website/keywords/ranked \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.io/v1/website/keywords/ranked"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.io/v1/website/keywords/ranked', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keywords": [
{
"keyword": "<string>",
"rank": 123,
"absoluteRank": 123,
"previousRank": 123,
"url": "<string>",
"searchVolume": 123,
"cpc": 123,
"competition": 123,
"keywordDifficulty": 123,
"estimatedTraffic": 123,
"monthlySearches": [
{
"year": 123,
"month": 123,
"searchVolume": 123
}
]
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Backlinks
Ranked Keywords API
Every keyword a domain ranks for, with position, search volume, and estimated traffic.
GET
/
v1
/
website
/
keywords
/
ranked
Get every keyword a domain ranks for on Google
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Query Parameters
Minimum string length:
1Example:
"shopify.com"
Example:
"US"
Example:
"en"
Required range:
0 < x <= 1000⌘I